/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */


package com.sun.enterprise.management.util;

import com.sun.enterprise.management.agent.MEJBUtility;
import java.util.*;
import javax.management.ObjectName;

public class J2EEModuleUtil {

    public static String[] getjavaVMs()  {
        Set x = findNames("j2eeType=JVM");
        Iterator it = x.iterator();
        String vms[] = new String[x.size()];
        int i = 0;
        while(it.hasNext()) 
            vms[i++] = ((ObjectName)it.next()).toString();
        return vms;
    }

    public static Set findNames(String keys)  {
        Set s = new HashSet();
        ObjectName namepattern = null;
        try {
            String pattern = getDomainName() + ":" + keys + ",*";
            namepattern = new ObjectName(pattern);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
        if(namepattern != null)  {
            MEJBUtility mejb = MEJBUtility.getMEJBUtility();
            if(mejb != null)
                try {
                    s = mejb.queryNames(namepattern, null);
                }
                catch(Exception e) {
                    e.printStackTrace();
                }
        }
        return s;
    }

    public static String getDomainName()  {
        return "com.sun.appserv";
    }
}